// TODO: remove on implementation
#![allow(unused_imports)]
#![allow(unused_variables)]
#![allow(dead_code)]

mod sha256;
pub use sha256::Sha256;

mod texture_format;
pub use texture_format::TextureFormat;

#[derive(Eq, PartialEq, Clone, Serialize, Deserialize, Debug)]
pub struct Texture {
    pub id: String,
    pub name: String,
    pub tags: Vec<String>,
    pub format: TextureFormat,
    pub resolution: (usize, usize),
    pub texture_hash: Sha256,
}
